
From: Johannes Stezenbach <js@linuxtv.org>

Patch by Olaf Titz: gcc 2.95 compile fixes

Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/dibusb/dvb-dibusb-core.c |    2 +-
 25-akpm/drivers/media/dvb/dibusb/dvb-fe-dtt200u.c  |    7 ++++++-
 25-akpm/drivers/media/dvb/ttpci/av7110_ir.c        |    4 ++--
 25-akpm/drivers/media/dvb/ttpci/budget-av.c        |    2 +-
 4 files changed, 10 insertions(+), 5 deletions(-)

diff -puN drivers/media/dvb/dibusb/dvb-dibusb-core.c~dvb-gcc-295-compile-fixes drivers/media/dvb/dibusb/dvb-dibusb-core.c
--- 25/drivers/media/dvb/dibusb/dvb-dibusb-core.c~dvb-gcc-295-compile-fixes	2005-03-21 20:58:47.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dibusb/dvb-dibusb-core.c	2005-03-21 20:58:47.000000000 -0800
@@ -425,8 +425,8 @@ static struct dibusb_usb_device * dibusb
 static struct dibusb_usb_device * dibusb_find_device (struct usb_device *udev,int *cold)
 {
 	int i,j;
-	*cold = -1;
 	struct dibusb_usb_device *dev = NULL;
+	*cold = -1;
 
 	for (i = 0; i < sizeof(dibusb_devices)/sizeof(struct dibusb_usb_device); i++) {
 		for (j = 0; j < DIBUSB_ID_MAX_NUM && dibusb_devices[i].cold_ids[j] != NULL; j++) {
diff -puN drivers/media/dvb/dibusb/dvb-fe-dtt200u.c~dvb-gcc-295-compile-fixes drivers/media/dvb/dibusb/dvb-fe-dtt200u.c
--- 25/drivers/media/dvb/dibusb/dvb-fe-dtt200u.c~dvb-gcc-295-compile-fixes	2005-03-21 20:58:47.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dibusb/dvb-fe-dtt200u.c	2005-03-21 20:58:47.000000000 -0800
@@ -175,8 +175,13 @@ static void dtt200u_fe_release(struct dv
 static int dtt200u_pid_control(struct dvb_frontend *fe,int index, int pid,int onoff)
 {
 	struct dtt200u_fe_state *state = (struct dtt200u_fe_state*) fe->demodulator_priv;
+	u8 b_pid[4];
 	pid = onoff ? pid : 0;
-	u8 b_pid[4] = { 0x04, index, pid & 0xff, (pid >> 8) & 0xff };
+
+	b_pid[0] = 0x04;
+	b_pid[1] = index;
+	b_pid[2] = pid & 0xff;
+	b_pid[3] = (pid >> 8) & 0xff;
 
 	dibusb_write_usb(state->dib,b_pid,4);
 	return 0;
diff -puN drivers/media/dvb/ttpci/av7110_ir.c~dvb-gcc-295-compile-fixes drivers/media/dvb/ttpci/av7110_ir.c
--- 25/drivers/media/dvb/ttpci/av7110_ir.c~dvb-gcc-295-compile-fixes	2005-03-21 20:58:47.000000000 -0800
+++ 25-akpm/drivers/media/dvb/ttpci/av7110_ir.c	2005-03-21 20:58:47.000000000 -0800
@@ -161,11 +161,11 @@ static int av7110_ir_write_proc(struct f
 
 int __init av7110_ir_init(void)
 {
+	static struct proc_dir_entry *e;
+
 	if (ir_initialized)
 		return 0;
 
-	static struct proc_dir_entry *e;
-
 	init_timer(&keyup_timer);
 	keyup_timer.data = 0;
 
diff -puN drivers/media/dvb/ttpci/budget-av.c~dvb-gcc-295-compile-fixes drivers/media/dvb/ttpci/budget-av.c
--- 25/drivers/media/dvb/ttpci/budget-av.c~dvb-gcc-295-compile-fixes	2005-03-21 20:58:47.000000000 -0800
+++ 25-akpm/drivers/media/dvb/ttpci/budget-av.c	2005-03-21 20:58:47.000000000 -0800
@@ -188,6 +188,7 @@ static int ciintf_slot_reset(struct dvb_
 {
 	struct budget_av *budget_av = (struct budget_av *) ca->data;
 	struct saa7146_dev *saa = budget_av->budget.dev;
+	int max = 20;
 
 	if (slot != 0)
 		return -EINVAL;
@@ -199,7 +200,6 @@ static int ciintf_slot_reset(struct dvb_
 	msleep(100);
 	saa7146_setgpio(saa, 0, SAA7146_GPIO_OUTLO);
 
-	int max = 20;
 	while (--max > 0 && ciintf_read_attribute_mem(ca, slot, 0) != 0x1d)
 		msleep(100);
 
_
